Package be.fgov.ehealth.hubservices.core.v1

# Class FolderTypeUnbounded

java.lang.Object
be.fgov.ehealth.hubservices.core.v1.FolderTypeUnbounded

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:12:35+02:00", comments="JAXB RI v4.0.5") public class FolderTypeUnbounded extends Object implements Serializable

Java class for folderTypeUnbounded complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="folderTypeUnbounded">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="patient" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}personType"/>
             <element name="transaction" type="{http://www.ehealth.fgov.be/hubservices/core/v1}TransactionSummaryType" maxOccurs="unbounded"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FolderTypeUnbounded()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PersonType`
  `getPatient()`
  Gets the value of the patient property.
  `List<TransactionSummaryType>`
  `getTransactions()`
  Gets the value of the transactions property.
  `void`
  `setPatient(PersonType value)`
  Sets the value of the patient property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FolderTypeUnbounded

    public FolderTypeUnbounded()

- ## Method Details

  - ### getPatient

    public PersonType getPatient()
    Gets the value of the patient property.
    Returns:
      possible object is `PersonType`

  - ### setPatient

    public void setPatient(PersonType value)
    Sets the value of the patient property.
    Parameters:
      `value` - allowed object is `PersonType`

  - ### getTransactions

    public List<TransactionSummaryType> getTransactions()
    Gets the value of the transactions property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the transactions property.

    For example, to add a new item, do as follows:

         getTransactions().add(newItem);

    Objects of the following type(s) are allowed in the list `TransactionSummaryType`

    Returns:
      The value of the transactions property.